#!/bin/bash
VAR_SCRIPT="/root/cp_join.bash"
VAR_TOKEN_OUTPUT=$(kubeadm token create --print-join-command)
VAR_TOKEN_OUTPUT=$(echo "$VAR_TOKEN_OUTPUT" | sed 's|{{ var_host_endpoint_ip }}|{{ inventory_hostname }}|')
VAR_CERT_OUTPUT=$(kubeadm init phase upload-certs --upload-certs | tail -1)
echo '#!/bin/bash' > $VAR_SCRIPT
echo "$VAR_TOKEN_OUTPUT --control-plane --certificate-key $VAR_CERT_OUTPUT" >> $VAR_SCRIPT
chmod 700 $VAR_SCRIPT
